Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008377TestLinkInstallerpublic2018-09-22 15:532018-10-06 12:17
Reporterandy b 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008377: Installation on AWS Postgres RDS Database fails
DescriptionAttempting to install testlink using an AWS RDS Postgres database fails.

Having looked at the installNewDB.php file there is a regex which manipulates the entered names and appears to remove . (full stop) characters.

Amending this regex to allow . characters allows the install to proceed.

I'm presuming that this is a general issue for anyone trying to use fully qualified host names not just RDS
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027873)
fman (administrator)
2018-09-24 10:22

if you can post the changes it will be great
(0027908)
fman (administrator)
2018-09-29 07:09

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/64ba54b20b8653d0ee7693235a11310cfedf389e [^]
(0027927)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-09-22 15:53 andy b New Issue
2018-09-24 10:22 fman Note Added: 0027873
2018-09-29 07:09 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-09-29 07:09 fman Note Added: 0027908
2018-09-29 07:09 fman Status new => resolved
2018-09-29 07:09 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-09-29 07:09 fman Resolution open => fixed
2018-09-29 07:09 fman Assigned To => fman
2018-09-29 07:09 fman Relationship added child of 0008241
2018-10-06 12:17 fman Note Added: 0027927
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker